Method: projects.locations.aclPolicies.delete

Deletes a specific ACL policy. This action will delete the ACL policy and all the rules associated with it. An ACL policy cannot be deleted if it is attached to an instance.

HTTP request


DELETE https://memorystore.googleapis.com/v1/{name=projects/*/locations/*/aclPolicies/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Memorystore ACL policy resource name using the form: projects/{project}/locations/{location}/aclPolicies/{aclPolicyId} where location refers to a Google Cloud region.

Query parameters

Parameters
requestId

string

Optional. Idempotent request UUID.

etag

string

Optional. Etag of the ACL policy. If this is different from the server's etag, the request will fail with an ABORTED error.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM Permissions

Requires the following IAM permission on the name resource:

  • memorystore.aclPolicies.delete

For more information, see the IAM documentation.